Subject: bug#11103: 24.0.94; (error "Can't activate input method `dev-aiba'")

From: Rustom Mody <[email-masked]>
Date: Sat, 31 Mar 2012 20:00:56 +0530

On Sat, Mar 31, 2012 at 1:28 PM, Jambunathan K <[email-masked]>wrote:

>
> Glenn
>
> You can ignore this mail, if you want.
>
> Rustom,
>
> Here is the context -
>
> > Sorry I dont get the context.
> > On my emacs 23.3.1 I can activate devanagari-aiba input method.
> > Is there something else you want me to check?
>
> Are you activating the input method like this -
>
> 1. C-x C-m l Devanagari
> 2. C-\
>
> Do you see a crash like this -
>

If I do it like you say I only see
Can't activate input method `dev-aiba'

No backtrace.

If I do what I usually do ie C-x RET C-\
and then give devanagari-aiba (not dev-aiba) it seems to work for me

My preferences later (I'll look more carefully at both)

Rusi

> Debugger entered--Lisp error: (error "Can't activate input method
> `dev-aiba'")
>  signal(error ("Can't activate input method `dev-aiba'"))
>  error("Can't activate input method `%s'" "dev-aiba")
>  activate-input-method("dev-aiba")
>  toggle-input-method(nil 1)
>  call-interactively(toggle-input-method nil nil)
>
> > I dont know this input method (and google does not help)
>
> See [1]. They apparently has something to do with diacritic marks
> (whatever that means).
>
> > but looking at describe-input-method and trying out a bit it seems
> > very close (identical??) to itrans.
>
> See [2].  The table that compares two methods and is attached here for
> future reference.  There are 12 entries in that table where the aiba and
> itrans input methods differ.
>
> I was wondering, as someone who is more familiar with Devanagari which
> of these would you prefer as the input method.  If you think that you
> have no particular opinion, I think we can leave the defaults as such.
>
> Here is an entry for SHA.
>
> ,---- DEVANAGARI LETTER SHA with devanagari-itrans is mapped to "sha"
> |              position: 9395 of 15548 (60%), column: 31
> |             character: श (displayed as श) (codepoint 2358, #o4466, #x936)
> |     preferred charset: unicode (Unicode (ISO10646))
> | code point in charset: 0x0936
> |                syntax: w      which means: word
> |              category: .:Base, L:Left-to-right (strong), i:Indian
> |              to input: type "sha" with devanagari-itrans
> |           buffer code: #xE0 #xA4 #xB6
> |             file code: #xE0 #xA4 #xB6 (encoded by coding system
> utf-8-dos)
> |               display: by this font (glyph code)
> |
> uniscribe:-outline-Mangal-normal-normal-normal-*-20-*-*-*-p-*-iso10646-1
> (#x9E)
> |
> | Character code properties: customize what to show
> |   name: DEVANAGARI LETTER SHA
> |   general-category: Lo (Letter, Other)
> |   decomposition: (2358) ('श')
> |
> | [back]
> `----
>
> ,---- DEVANAGARI LETTER SHA with devanagari-itrans is mapped to "^sa"
> |              position: 2855 of 5721 (50%), column: 22
> |             character: श (displayed as श) (codepoint 2358, #o4466, #x936)
> |     preferred charset: unicode (Unicode (ISO10646))
> | code point in charset: 0x0936
> |                syntax: w      which means: word
> |              category: .:Base, L:Left-to-right (strong), i:Indian
> |              to input: type "^sa" with devanagari-aiba
> |           buffer code: #xE0 #xA4 #xB6
> |             file code: #xE0 #xA4 #xB6 (encoded by coding system
> utf-8-dos)
> |               display: by this font (glyph code)
> |
> uniscribe:-outline-Mangal-normal-normal-normal-*-20-*-*-*-p-*-iso10646-1
> (#x9E)
> |
> | Character code properties: customize what to show
> |   name: DEVANAGARI LETTER SHA
> |   general-category: Lo (Letter, Other)
> |   decomposition: (2358) ('श')
> |
> | [back]
> `----
>
> Footnotes:
>
> [1] http://texa.human.is.tohoku.ac.jp/aiba/codes/table/draft/r02/html/
>
> Document has following particulars.
>
> ,----
> | Word Processing in Tibetan and Sanskrit
> | Toru AIBA
> |
> | Graduate School of Information Sciences, Tohoku University
> | March 2000
> |
> | Handout for my presentation at "Fourth International Symposium on
> | Multilingual Information Processing" at Tsukuba in March 26, 2000.
> `----
>
> [2] Image captioned "Table 3: Transliteration Schemes in Sanskrit
> (Substitutional)",
>
>